package com.system.serivce;

import com.system.transfer.configure.*;
import com.system.transfer.response.RestResponse;

/**
 * @author Inori
 */
public interface IDatabaseTableService {

    /**
     * 表单列表
     *
     * @param inVo 条件
     * @return 列表
     */
    TableStructureListOutVo formTableStructureList(TableStructureListInVo inVo);

    /**
     * 表单保存
     *
     * @param inVo 条件
     * @return 结果
     */
    RestResponse formTableStructureCreate(TableStructureCreateInVo inVo);

    /**
     * 表单删除
     *
     * @param inVo 条件
     * @return 结果
     */
    RestResponse formTableStructureDelete(TableStructureDeleteInVo inVo);

    /**
     * 表单结构及数据
     *
     * @param inVo 条件
     * @return 数据
     */
    TableStructureDataOutVo formTableStructureData(TableStructureDataInVo inVo);

    /**
     * 表单数据删除
     *
     * @param inVo 条件
     * @return 结果
     */
    RestResponse formTableStructureDataDelete(TableStructureDataDeleteInVo inVo);


}
